## org.eclipse.datatools.connectivity
Interface IManagedConnectionOfflineListener

All Superinterfaces:
  IManagedConnectionListener

All Known Implementing Classes:
  ManagedConnectionAdapter

    public interface IManagedConnectionOfflineListener

extends IManagedConnectionListener

Extends the base interface by adding callbacks specific to working offline.

Author:
  rcernich Created on May 8, 2007

Method Summary
`void` `aboutToAttach(ConnectEvent event)` The "offline" connection manged by the associated IManagedConnection is about to be replaced with a "live" connection.
`void` `aboutToDetach(ConnectEvent event)` The "live" connection manged by the associated IManagedConnection is about to be closed.
`boolean` `okToDetach(ConnectEvent event)` A client (or the user) has requested the "live" connection managed by the associated IManagedConnection be closed, replaced with an offline version.
`void` `workingOffline(ConnectEvent event)` The "live" connection manged by the associated IManagedConnection has been closed or the client (or user) has chosen to open a the connection in "offline" mode.

Methods inherited from interface org.eclipse.datatools.connectivity.IManagedConnectionListener
`aboutToClose, closed, modified, okToClose, opened`

Method Detail

### okToDetach

    boolean okToDetach(ConnectEvent event)

  A client (or the user) has requested the "live" connection managed by the associated IManagedConnection be closed, replaced with an offline version. This callback gives other clients the option of cancelling the operation (e.g. they still require access to the "live" connection).

  Parameters:
    `event` -
  Returns:
    false to prevent the connection from being closed.

### aboutToDetach

    void aboutToDetach(ConnectEvent event)

  The "live" connection manged by the associated IManagedConnection is about to be closed. Clients may use this opportunity to perform clean up operations on the connection prior to it being closed. (Note, this method is called after okToDetach() and prior to workingOffline().)

  Parameters:
    `event` -

### workingOffline

    void workingOffline(ConnectEvent event)

  The "live" connection manged by the associated IManagedConnection has been closed or the client (or user) has chosen to open a the connection in "offline" mode.

  Parameters:
    `event` -

### aboutToAttach

    void aboutToAttach(ConnectEvent event)

  The "offline" connection manged by the associated IManagedConnection is about to be replaced with a "live" connection. Clients may use this opportunity to perform any operations on the connection prior to it being opened. (Note, this method is called prior to attached().)

  Parameters:
    `event` -